Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-22421

branch-1 docker mode for yetus fails

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 1.5.0
    • Fix Version/s: 1.5.0, 1.4.10, 1.3.5
    • Component/s: build, test
    • Labels:
      None

      Description

      started showing up on precommit runs yesterday. I presume a new version of rubocop came out that updated the minimum ruby version

      
      02:46:28  Building native extensions.  This could take a while...
      02:46:29  ERROR:  Error installing rubocop:
      02:46:29  	rubocop requires Ruby version >= 2.3.0.
      02:46:29  Successfully installed jaro_winkler-1.5.2
      02:46:30  The command '/bin/sh -c gem install rubocop' returned a non-zero code: 1
      02:46:30  ERROR: Docker failed to build yetus/hbase:61288f8.
      

        Attachments

        1. HBASE-22421-branch-1.v0.patch
          0.9 kB
          Sean Busbey
        2. HBASE-22421-branch-1.v1.addendum.patch
          0.8 kB
          Sean Busbey
        3. HBASE-22421-branch-1.v1.patch
          1 kB
          Sean Busbey

          Activity

            People

            • Assignee:
              busbey Sean Busbey
              Reporter:
              busbey Sean Busbey
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: